public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/flask-htmlmin/
Date: Tue, 19 Oct 2021 06:40:08 +0000 (UTC)	[thread overview]
Message-ID: <1634625564.82e5587d45d875cb13a959e5cc27a36865954c3b.arthurzam@gentoo> (raw)

commit:     82e5587d45d875cb13a959e5cc27a36865954c3b
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 19 06:37:48 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Oct 19 06:39:24 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=82e5587d

dev-python/flask-htmlmin: add 2.2.0, enable py3.10

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/flask-htmlmin/Manifest                  |  1 +
 .../flask-htmlmin/flask-htmlmin-2.2.0.ebuild       | 33 ++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-python/flask-htmlmin/Manifest b/dev-python/flask-htmlmin/Manifest
index 2ff92db8fd0..e89adb2596d 100644
--- a/dev-python/flask-htmlmin/Manifest
+++ b/dev-python/flask-htmlmin/Manifest
@@ -1 +1,2 @@
 DIST Flask-HTMLmin-2.1.0.gh.tar.gz 16395 BLAKE2B 259d3af497343d35fabb60e4aa1a832782de47fa78f2e8c6bdaa47a7e78efa8dfa756e87d0d03b5972f3e051a29dfff53b370cb1f3ee1f8a9e401d06c40894fd SHA512 3d3ea40bc5d802f41b0d3a99fcca59407b3948d9b4fe2300bc597bbfbaa851435276a7dcee4b6cc08cc52b0674a53fd655b7bb1c6504bd53ea9963600626a59a
+DIST Flask-HTMLmin-2.2.0.gh.tar.gz 17637 BLAKE2B 541ae212ba5bfd5e5881adb108d62c994248a7f851512d0fddedb001737620433cb46e267cdd66de73a353c6b357802eb89ea33c771153bc0acf3937c06f83c3 SHA512 24287ef93e99a16e7dde35ba6b7b8fefa06f11ce30fb47969313c3e0e1135ac8a2685aac06bc430d3253162f4f2bc7e8eed90ddda2092bbad092d4e0d09cb4fc

diff --git a/dev-python/flask-htmlmin/flask-htmlmin-2.2.0.ebuild b/dev-python/flask-htmlmin/flask-htmlmin-2.2.0.ebuild
new file mode 100644
index 00000000000..5cdcf795a32
--- /dev/null
+++ b/dev-python/flask-htmlmin/flask-htmlmin-2.2.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P="Flask-HTMLmin-${PV}"
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Minimize your flask rendered html"
+HOMEPAGE="https://github.com/hamidfzm/Flask-HTMLmin"
+SRC_URI="
+	https://github.com/hamidfzm/Flask-HTMLmin/archive/v${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	app-text/cssmin[${PYTHON_USEDEP}]
+	app-text/htmlmin[${PYTHON_USEDEP}]
+	dev-python/flask[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	sed -e '/pytest-runner/d' -i setup.py || die
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2021-10-19  6:40 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-19  6:40 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-18 19:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/flask-htmlmin/ Michał Górny
2023-11-24 17:04 Arthur Zamarin
2023-11-23 20:20 Michał Górny
2023-06-02 18:19 Michał Górny
2023-03-25  9:22 Michał Górny
2023-03-25  6:48 Arthur Zamarin
2023-02-21 17:06 Sam James
2022-11-25 20:33 Arthur Zamarin
2022-11-25 19:11 Sam James
2022-10-25  8:28 Michał Górny
2021-11-22 10:46 Michał Górny
2021-11-22  7:51 Agostino Sarubbo
2021-11-21 19:36 Jakov Smolić
2021-03-15  9:00 Michał Górny
2021-03-15  6:30 Sam James
2021-02-12  9:26 Michał Górny
2020-07-30 20:41 Michał Górny
2020-07-30 20:03 Sam James
2020-06-24  7:07 Michał Górny
2020-03-27  9:16 Michał Górny
2020-02-05 21:28 Andreas Sturmlechner
2020-02-05 13:24 Michał Górny
2019-11-19 15:40 Agostino Sarubbo
2019-11-18 12:03 Agostino Sarubbo
2019-11-17 17:47 Aaron W. Swenson
2019-11-17 17:17 Aaron W. Swenson
2019-10-18  0:24 Aaron W. Swenson
2018-07-09 18:58 Mikle Kolyada
2018-07-09  1:29 Thomas Deutschmann
2018-05-18 11:36 Aaron Swenson
2017-12-30 19:40 Aaron Swenson
2017-12-22 16:32 Jason Zaman
2017-09-09 23:27 Aaron Swenson

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1634625564.82e5587d45d875cb13a959e5cc27a36865954c3b.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox